> For the complete documentation index, see [llms.txt](https://docs.rhecanyx.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rhecanyx.com/docs/react-native-docs-for-mobile-apps/create-and-start-a-project.md).

# Create and Start a project

{% stepper %}
{% step %}

### Create a project

{% tabs %}
{% tab title="npm" %}
{% code fullWidth="false" %}

```shellscript
npx create-expo-app@latest
```

{% endcode %}
{% endtab %}

{% tab title="yarn" %}

```shellscript
yarn create expo-app
```

{% endtab %}

{% tab title="bun" %}

```shellscript
bun create expo
```

{% endtab %}

{% tab title="pnpm" %}

```shellscript
pnpm create expo-app
```

{% endtab %}
{% endtabs %}

| Template                                                                                              | Description                                                                                                                                                                           |
| ----------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [`default`](https://github.com/expo/expo/tree/main/templates/expo-template-default)                   | Default template. Designed to build multi-screen apps. Includes recommended tools such as Expo CLI, Expo Router library and TypeScript configuration enabled. Suitable for most apps. |
| [`blank`](https://github.com/expo/expo/tree/main/templates/expo-template-blank)                       | Installs minimum required npm dependencies without configuring navigation.                                                                                                            |
| [`blank-typescript`](https://github.com/expo/expo/tree/main/templates/expo-template-blank-typescript) | A Blank template with TypeScript enabled.                                                                                                                                             |
| [`tabs`](https://github.com/expo/expo/tree/main/templates/expo-template-tabs)                         | Installs and configures file-based routing with Expo Router and TypeScript enabled.                                                                                                   |
| [`bare-minimum`](https://github.com/expo/expo/tree/main/templates/expo-template-bare-minimum)         | A Blank template with native directories (android and ios) generated. Runs [`npx expo prebuild`](https://docs.expo.dev/workflow/prebuild/) during the setup.                          |

{% endstep %}

{% step %}

### Config app.json

```json
{
  "expo": {
    "name": "name",
    "slug": "slug",
    "version": "1.0.0",
    "orientation": "portrait",
    "userInterfaceStyle": "automatic",
    "icon": "./assets/icon.png",
    "splash": {
      "image": "./assets/splashscreen_logo.png",
      "resizeMode": "contain",
      "backgroundColor": "#ffffff"
    },
    "ios": {
      "bundleIdentifier": "com.name",
      "infoPlist": {
        "SKAdNetworkItems": [
        ],
        "NSUserTrackingUsageDescription": "ATT_Privacy_Description"
      },
      "supportsTablet": false,
      "deploymentTarget": "15.0",
      "buildNumber": "1.0.0",
      "privacyManifests": {
        "NSPrivacyAccessedAPITypes": [
          {
            "NSPrivacyAccessedAPIType": "NSPrivacyAccessedAPICategoryUserDefaults",
            "NSPrivacyAccessedAPITypeReasons": ["CA92.1"]
          }
        ]
      }
    },
    "android": {
      "package": "com.name",
      "versionCode": 1,
      "adaptiveIcon": {
        "foregroundImage": "./assets/adaptive-icon.png",
        "backgroundColor": "#ffffff"
      },
      "minSdkVersion": 24,
      "targetSdkVersion": 36
    },
    "plugins": [
      "expo-font",
      "expo-dev-client",
      [
        "react-native-google-mobile-ads",
        {
          "android_app_id": "ca-app-pub-xxx~xxx",
          "ios_app_id": "ca-app-pub-xxx~xxx",
          "androidAppId": "ca-app-pub-xxx~xxx",
          "iosAppId": "ca-app-pub-xxx~xxx"
        }
      ]
    ],
    "extra": {
      "eas": {
        "projectId": "xxxxx"
      }
    }
  }
}

```

{% endstep %}

{% step %}

### Run

{% tabs %}
{% tab title="android" %}
{% code fullWidth="false" %}

```shellscript
npx expo run:android
```

{% endcode %}
{% endtab %}

{% tab title="ios" %}

```shellscript
npx expo run:ios
```

{% endtab %}
{% endtabs %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rhecanyx.com/docs/react-native-docs-for-mobile-apps/create-and-start-a-project.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
